[package]
name = "kernel-arch"
version = "0.1.0"
edition = "2024"

[target.'cfg(all(target_os = "none", target_arch = "x86_64"))'.dependencies]
kernel-arch-x86_64.path = "x86_64"

[target.'cfg(all(target_os = "none", target_arch = "aarch64"))'.dependencies]
kernel-arch-aarch64.path = "aarch64"

[target.'cfg(all(target_os = "none", target_arch = "riscv64"))'.dependencies]
kernel-arch-riscv64.path = "riscv64"

[target.'cfg(not(target_os = "none"))'.dependencies]
kernel-arch-hosted.path = "hosted"

[dependencies]
kernel-arch-interface.path = "interface"

cfg-if.workspace = true
